<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>Nom i cognom amb un formulari</title>
</head>

<body>
    <form id="formulari1" onsubmit="prenValorForm()">
        Nom: <input type="text" name="nom" value="Marie"><br>
        Cognom: <input type="text" name="cognom" value="Curie"><br>
        <input type="submit" value="Submit">
    </form>
</body>

<script>
  var uy = document.querySelectorAll("form input[type='text']")
    for (let index = 0; index < uy.length; index++) {
        const element = uy[index];
        console.log(element);
    }
    
</script>
</html>